Coin: SoShapeHintsElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoShapeHintsElement Class Reference
Element Classes

The SoShapeHintsElement class is yet to be documented. More...

`#include <Inventor/elements/SoShapeHintsElement.h>`

Inheritance diagram for SoShapeHintsElement:

## Public Types
enum | VertexOrdering { UNKNOWN_ORDERING , CLOCKWISE , COUNTERCLOCKWISE , ORDERING_AS_IS }
enum | ShapeType { UNKNOWN_SHAPE_TYPE , SOLID , SHAPE_TYPE_AS_IS }
enum | FaceType { UNKNOWN_FACE_TYPE , CONVEX , FACE_TYPE_AS_IS }

## Public Member Functions
virtual void | init (SoState *state)
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevtopelement)
virtual SbBool | matches (const SoElement *element) const
| FIXME: write doc.
virtual SoElement * | copyMatchInfo (void) const
| FIXME: write doc.
virtual void | print (FILE *file) const
| FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const VertexOrdering vertexOrdering, const ShapeType shapeType, const FaceType faceType)
| FIXME: write doc.
static void | set (SoState *const state, const VertexOrdering vertexOrdering, const ShapeType shapeType, const FaceType faceType)
| FIXME: write doc.
static void | get (SoState *const state, VertexOrdering &vertexOrdering, ShapeType &shapeType, FaceType &faceType)
| FIXME: write doc.
static VertexOrdering | getVertexOrdering (SoState *const state)
| FIXME: write doc.
static ShapeType | getShapeType (SoState *const state)
| FIXME: write doc.
static FaceType | getFaceType (SoState *const state)
| FIXME: write doc.
static VertexOrdering | getDefaultVertexOrdering ()
| FIXME: write doc.
static ShapeType | getDefaultShapeType ()
| FIXME: write doc.
static FaceType | getDefaultFaceType ()
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoShapeHintsElement ()
void | updateLazyElement (SoState *state)
virtual void | setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType)
| FIXME: write doc.
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes
VertexOrdering | vertexOrdering
ShapeType | shapeType
FaceType | faceType
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoShapeHintsElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoShapeHintsElement()

SoShapeHintsElement::~SoShapeHintsElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoShapeHintsElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoShapeHintsElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoShapeHintsElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoShapeHintsElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoShapeHintsElement::init | ( | SoState * | state | ) |
| virtual

Initializes the element to its default values. The default value for vertexOrdering is SoShapeHintsElement::UNKNOWN_ORDERING, for shapeType is SoShapeHintsElement::UNKNOWN_SHAPE_TYPE, and for faceType is SoShapeHintsElement::CONVEX.

Reimplemented from SoElement.

Reimplemented in SoGLShapeHintsElement.

## ◆ push()

void SoShapeHintsElement::push | ( | SoState * | state | ) |
| virtual

FIXME: write doc.

Reimplemented from SoElement.

Reimplemented in SoGLShapeHintsElement.

## ◆ pop()

void SoShapeHintsElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement )
| virtual

This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

Reimplemented in SoGLShapeHintsElement.

## ◆ matches()

SbBool SoShapeHintsElement::matches | ( | const SoElement * | element | ) | const
| virtual

FIXME: write doc.

Implements SoElement.

## ◆ copyMatchInfo()

SoElement * SoShapeHintsElement::copyMatchInfo | ( | void |  | ) | const
| virtual

FIXME: write doc.

Implements SoElement.

## ◆ print()

void SoShapeHintsElement::print | ( | FILE * | file | ) | const
| virtual

FIXME: write doc.

Reimplemented from SoElement.

## ◆ setElt()

void SoShapeHintsElement::setElt | ( | VertexOrdering | vertexOrdering,
|  | ShapeType | shapeType,
|  | FaceType | faceType )
| protectedvirtual

FIXME: write doc.

Reimplemented in SoGLShapeHintsElement.

The documentation for this class was generated from the following files:

- SoShapeHintsElement.h
- SoShapeHintsElement.cpp